summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarkus Härer2015-07-05 08:37:46 +0200
committerMarkus Härer2015-07-05 08:37:46 +0200
commit4e691bfb23e6990c9eccc06093c7da9709eaf981 (patch)
treec3fc0c5f82c931497dfff8bcf03bd78fe79ada79
downloadaur-4e691bfb23e6990c9eccc06093c7da9709eaf981.tar.gz
Initial import
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD24
2 files changed, 38 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..412aa56019f
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = dvb-fe-tda10046-fw
+ pkgdesc = Firmware dvb-fe-tda10046.fw for Philips TDA10046H DVB-T
+ pkgver = 0.1
+ pkgrel = 6
+ url = http://www.kernel.org/
+ arch = any
+ license = custom
+ makedepends = perl
+ makedepends = unzip
+ source = http://www.kernel.org/doc/Documentation/dvb/get_dvb_firmware
+ md5sums = 037013f80c7653969b2c0b94f4de1a63
+
+pkgname = dvb-fe-tda10046-fw
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8ca6c6153c0
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Markus Härer <markus.haerer@gmx.net>
+# Contributor: Markus Härer <markus.haerer@gmx.net>
+
+pkgname=dvb-fe-tda10046-fw
+pkgver=0.1
+pkgrel=7
+license=('custom')
+pkgdesc="Firmware dvb-fe-tda10046.fw for Philips TDA10046H DVB-T"
+arch=(any)
+depends=()
+makedepends=('perl' 'unzip')
+source=('http://www.kernel.org/doc/Documentation/dvb/get_dvb_firmware')
+url="http://www.kernel.org/"
+md5sums=('037013f80c7653969b2c0b94f4de1a63')
+
+build() {
+ cd $srcdir/ || return 1
+ perl get_dvb_firmware tda10046 || return 1
+}
+
+package() {
+ cd $srcdir/ || return 1
+ install -D -m 644 dvb-fe-tda10046.fw "$pkgdir/usr/lib/firmware/dvb-fe-tda10046.fw" || return 1
+}